Update an existing tag. Note this implementation of patch uses the JSON merge patch proposed standard.
This means that any fields included in the patch request will overwrite fields which exist on the target resource.
For arrays, this means any array included in the request will replace the array that exists at the specified path, it will not add to the existing array.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
To use this endpoint, select Write Tags under the Setup & Administration category when creating or editing an API token. Learn More.
curl --request PATCH \
--url https://api.samsara.com/tags/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"addresses": [
"23502866574"
],
"assets": [
"23502866574"
],
"drivers": [
"23502866574"
],
"externalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
},
"machines": [
"23502866574"
],
"name": "California",
"parentTagId": "4815",
"sensors": [
"23502866574"
],
"vehicles": [
"23502866574"
]
}
'{
"data": {
"id": "342417",
"name": "California",
"parentTagId": "4815",
"addresses": [
{
"id": "23502866574",
"name": "Driver Don"
}
],
"assets": [
{
"id": "23502866574",
"name": "Driver Don"
}
],
"drivers": [
{
"id": "23502866574",
"name": "Driver Don"
}
],
"externalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
},
"machines": [
{
"id": "23502866574",
"name": "Driver Don"
}
],
"parentTag": {
"id": "23502866574",
"name": "US West Vehicles"
},
"sensors": [
{
"id": "23502866574",
"name": "Driver Don"
}
],
"vehicles": [
{
"id": "23502866574",
"name": "Driver Don"
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the Tag. This can either be the Samsara-provided ID or an external ID. External IDs are customer-specified key-value pairs created in the POST or PATCH requests of this resource. To specify an external ID as part of a path parameter, use the following format: key:value. For example, crmId:abc123. Automatically populated external IDs are prefixed with samsara.. For example, samsara.name:ELD-exempt.
The addresses that belong to this tag.
The object ID.
The trailers, unpowered, and powered assets that belong to this tag.
The object ID.
The drivers that belong to this tag.
The object ID.
The external IDs for the given object.
Show child attributes
{
"maintenanceId": "250020",
"payrollId": "ABFS18600"
}The machines that belong to this tag.
The object ID.
Name of this tag.
1 - 191"California"
If this tag is part a hierarchical tag tree, this is the ID of the parent tag, otherwise this will be omitted.
"4815"
The sensors that belong to this tag.
The object ID.
The vehicles that belong to this tag.
The object ID.
Returns updated tag object.
A single tag.
Show child attributes
curl --request PATCH \
--url https://api.samsara.com/tags/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"addresses": [
"23502866574"
],
"assets": [
"23502866574"
],
"drivers": [
"23502866574"
],
"externalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
},
"machines": [
"23502866574"
],
"name": "California",
"parentTagId": "4815",
"sensors": [
"23502866574"
],
"vehicles": [
"23502866574"
]
}
'{
"data": {
"id": "342417",
"name": "California",
"parentTagId": "4815",
"addresses": [
{
"id": "23502866574",
"name": "Driver Don"
}
],
"assets": [
{
"id": "23502866574",
"name": "Driver Don"
}
],
"drivers": [
{
"id": "23502866574",
"name": "Driver Don"
}
],
"externalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
},
"machines": [
{
"id": "23502866574",
"name": "Driver Don"
}
],
"parentTag": {
"id": "23502866574",
"name": "US West Vehicles"
},
"sensors": [
{
"id": "23502866574",
"name": "Driver Don"
}
],
"vehicles": [
{
"id": "23502866574",
"name": "Driver Don"
}
]
}
}